import { Typography } from 'antd';
import useRoute from '@/utils/hooks/useRoute';

const { Title } = Typography;

const titleStyle = {
  margin: 0,
}

const spanStyle = {
  display: 'inline-block',
  width: '24px',
  textAlign: 'center'
}

export default (props) => {
  const route = useRoute();
  const { title } = route && route.meta || {}

  return (
    <Title level={5} style={titleStyle}>
      { title && <span style={spanStyle}>&raquo;</span> }
      { title && <span>{title}</span> }
    </Title>
  );
}
